## bpytop 1.0.61

=== Makefile ===
PREFIX ?= /usr/local
DOCDIR ?= $(PREFIX)/share/bpytop/doc

all:
	@echo Run \'make install\' to install bpytop.

install:
	@mkdir -p $(DESTDIR)$(PREFIX)/bin
	@cp -p bpytop.py $(DESTDIR)$(PREFIX)/bin/bpytop
	@mkdir -p $(DESTDIR)$(DOCDIR)
	@cp -p README.md $(DESTDIR)$(DOCDIR)
	@cp -pr themes $(DESTDIR)$(PREFIX)/share/bpytop
	@chmod 755 $(DESTDIR)$(PREFIX)/bin/bpytop

uninstall:
	@rm -rf $(DESTDIR)$(PREFIX)/bin/bpytop
	@rm -rf $(DESTDIR)$(DOCDIR)
	@rm -rf $(DESTDIR)$(PREFIX)/share/bpytop

## bpytop 1.0.26

=== debian/changelog ===
bpytop (1.0.26-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <maintainer@mepiscommunity.org>  Wed, 09 Sep 2020 00:04:44 -0400

bpytop (1.0.22-1) UNRELEASED; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 04 Sep 2020 11:41:55 +0200

bpytop (1.0.5-1) unstable; urgency=medium

  * Initial release (Closes: #967110)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 06 Aug 2020 09:07:13 +0200

=== debian/control ===
Source: bpytop
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Dylan Aïssi <daissi@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/bpytop
Vcs-Git: https://salsa.debian.org/debian/bpytop.git
Homepage: https://github.com/aristocratos/bpytop
Rules-Requires-Root: no

Package: bpytop
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         python3,
         python3-psutil (>= 5.7.0)
Description: Resource monitor that shows usage and stats
 Resource monitor that shows usage and stats for processor,
 memory, disks, network and processes. bpytop includes:
  - Easy to use, with a game inspired menu system.
  - Full mouse support, all buttons with a highlighted key is clickable
      and mouse scroll works in process list and menu boxes.
  - Fast and responsive UI with UP, DOWN keys process selection.
  - Function for showing detailed stats for selected process.
  - Ability to filter processes, multiple filters can be entered.
  - Easy switching between sorting options.
  - Send SIGTERM, SIGKILL, SIGINT to selected process.
  - UI menu for changing all config file options.
  - Auto scaling graph for network usage.
  - Shows current read and write speeds for disks
 .
 Python port of bashtop.

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX = /usr
export DOCDIR = /usr/share/doc/bpytop/

%:
	dh $@

## bpytop 1.0.40

=== debian/changelog ===
bpytop (1.0.40-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 07 Oct 2020 17:12:18 -0400

bpytop (1.0.40-2) unstable; urgency=medium

  * Add python3-distutils to deps (Closes: #971764)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 07 Oct 2020 10:17:04 +0200

bpytop (1.0.40-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 02 Oct 2020 10:15:47 +0200

bpytop (1.0.38-1) unstable; urgency=medium

  * New upstream version
  * Install themes into correct folder.

 -- Dylan Aïssi <daissi@debian.org>  Sun, 27 Sep 2020 10:26:17 +0200

bpytop (1.0.36-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Tue, 22 Sep 2020 14:10:05 +0200

## bpytop 1.0.42

=== debian/changelog ===
bpytop (1.0.42-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 13 Oct 2020 08:26:52 -0400

bpytop (1.0.42-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Mon, 12 Oct 2020 08:23:14 +0200

## bpytop 1.0.49

=== debian/changelog ===
bpytop (1.0.49-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 02 Nov 2020 09:52:37 -0500

bpytop (1.0.47-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Wed, 28 Oct 2020 08:30:46 +0100

bpytop (1.0.46-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Tue, 27 Oct 2020 09:37:08 +0100

bpytop (1.0.44-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Tue, 20 Oct 2020 13:24:43 +0200

## bpytop 1.0.50

=== debian/changelog ===
bpytop (1.0.50-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Add desktop and icon files.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 09 Nov 2020 08:59:41 -0500

bpytop (1.0.50-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sun, 08 Nov 2020 09:29:52 +0100

bpytop (1.0.49-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Tue, 03 Nov 2020 12:05:43 +0100

## bpytop 1.0.59

=== debian/changelog ===
bpytop (1.0.59-1~mx19+2) mx; urgency=medium

  * Initial packaging of upstream github release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 15 Jan 2021 15:48:21 -0500

## bpytop 1.0.61

=== debian/changelog ===
bpytop (1.0.61-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Thu, 28 Jan 2021 11:46:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: bpytop
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Dylan Aïssi <daissi@debian.org>
+Maintainer: Dylan Aïssi <daissi@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
@@ -15,6 +14,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          python3,
+         python3-distutils,
          python3-psutil (>= 5.7.0)
 Description: Resource monitor that shows usage and stats
  Resource monitor that shows usage and stats for processor,

## bpytop 1.0.62

=== debian/changelog ===
bpytop (1.0.62-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 15 Feb 2021 22:32:20 -0500

## bpytop 1.0.65

=== debian/changelog ===
bpytop (1.0.65-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitHub mater for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 10 May 2021 09:37:12 -0400

## bpytop 1.0.67

=== debian/changelog ===
bpytop (1.0.67-1~mx21+1) mx; urgency=medium

  * Initial packaging for MX-21.
  * Carry over desktop and icon files.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 11 Jul 2021 16:10:48 -0400

bpytop (1.0.67-1) experimental; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 25 Jun 2021 16:59:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: bpytop
-Maintainer: Dylan Aïssi <daissi@debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Dylan Aïssi <daissi@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export PREFIX = /usr
export DOCDIR = /usr/share/doc/bpytop/

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/$(DEB_SOURCE)/$(PREFIX)/share/bpytop
	dh_auto_install

## bpytop 1.0.68

=== debian/changelog ===
bpytop (1.0.68-2) unstable; urgency=medium

  * Drop dependency on python3-distutils (Closes: #1065836)
  * Standards-Version: 4.6.2 (no changes required)
  * Drop debian/salsa-ci.yml
  * Refresh debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Sun, 10 Mar 2024 21:46:07 +0100

bpytop (1.0.68-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 27 Dec 2021 23:11:37 +0100

bpytop (1.0.67-2) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * Upload to unstable as Bullseye has been released.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 16 Aug 2021 21:12:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: bpytop
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Dylan Aïssi <daissi@debian.org>
+Maintainer: Dylan Aïssi <daissi@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/bpytop
 Vcs-Git: https://salsa.debian.org/debian/bpytop.git
 Homepage: https://github.com/aristocratos/bpytop
@@ -15,7 +14,6 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          python3,
-         python3-distutils,
          python3-psutil (>= 5.7.0)
 Description: Resource monitor that shows usage and stats
  Resource monitor that shows usage and stats for processor,

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,6 @@
 %:
 	dh $@
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 override_dh_auto_install:
 	mkdir -p $(CURDIR)/debian/$(DEB_SOURCE)/$(PREFIX)/share/bpytop
 	dh_auto_install
